PANIC: My LR 6 is no more.

Guest
Aug 08, 2021 Aug 08, 2021

Copy link to clipboard

Copied

Hi
I bought LR 5 and LR 6 years ago and have had the 6 installed until the day before yesterday.
Now I had to restore my Mac Book pro and made a backup before that. 
Now when the MBP works fine again it turns out that I can not open my LR pictures for the new installation on the computer does not have LR.  I do have the LR5 and 6 as DMG but it dont work eather.
This is a Disaster. I have three photo projects that were to be completed and everything seems lost.
Judge my surprise when I see that my LR5 and 6 are not available for download at Adobe
I need urgent help. I do not have creative Cloud and do not want it either but want my standalone LR 6.14 installed again.
Please. Help me in this because it's really panicky.
Sincerely,
Jacques. Montel

TOPICS
Activation , Installation

Views

64

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 08, 2021 Aug 08, 2021

Copy link to clipboard

Copied

And your MacOS Version Number is...?

Lr5 & 6 cannot be installed with Catalina or BigSur.

If you can install v6.14 your next 'hurdle' is to Activate it. (Adobe's Activation servers are disappearing!)

You would need a subscription to the Photography Plan (20GB).

 

Regards. My System: Lr-Classic 11.4.1 Photoshop 23.4.1, ACR 14.4.2, Lightroom 5.3, Lr-iOS 7.0.2, Bridge 12.0.2, Windows-10.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Guest
Aug 08, 2021 Aug 08, 2021

Copy link to clipboard

Copied

Big Sur. No plan for me. One of the reason i still got LR6.14.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 09, 2021 Aug 09, 2021

Copy link to clipboard

Copied

LATEST

@Deleted User,

Sorry but LR 6 is NOT compatible with Big Sur.

https://helpx.adobe.com/lightroom-classic/kb/macos-big-sur-compatibility.html

 

Drop back to an older OS or find an old computer you can dedicate to legacy software.  Reinstall LR6 with the terminal workaround described below for Sierra, High Sierra & Mojave.

https://helpx.adobe.com/creative-cloud/kb/install-creative-suite-mac-os-sierra.html

 

You are stuck with old OS until you get modern compatible software (LR CC 10 or higher).

 

Nancy O'Shea, Adobe Product User & Community Professional
Alt-Web Design & Publishing ~ Web : Print : Graphics : Media

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 08, 2021 Aug 08, 2021

Copy link to clipboard

Copied

Since you say you have the programs, this may not help

 

Direct Download Links https://prodesigntools.com/tag/ddl MAY help
-you MUST do what it says in Note: Very Important Instructions
-https://prodesigntools.com/adobe-cc-2015-direct-download-links.html#download-instructions
-the prodesign links go directly to Adobe's file server, so this process will
--only work until Adobe completely removes the old version(s) from the server
.
IF/When you do have a download, be sure to copy it to AT LEAST one external device
-since Adobe does sometimes remove old versions from the server
-a usb flash drive or external hard drive, or write to a DVD
-plus a text file containing your serial number if you have CS6/CS5

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 08, 2021 Aug 08, 2021

Copy link to clipboard

Copied

After running the LR6 installation disks or downloads that you received at purchase, you must activate the software.

 

TLS 1.2 connections MUST be enabled to connect with Adobe's servers.   As of July 14, TLS 1.0 and TLS 1.1 are end of life.  Mac 10.8 and higher support TLS 1.2 connections.

 

Nancy O'Shea, Adobe Product User & Community Professional
Alt-Web Design & Publishing ~ Web : Print : Graphics : Media

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines